Subject: Ticket Assigned - Product not delivered - 3rd escalation
From: Splash <[email-masked]>
To: [email-masked]
Date: Sat, 04 Dec 2021 11:56:58 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Product not delivered - 3rd escalation HEY TEAM!

 Sad I had to write this mail to you all.

My order number is Your order 9515596512

1. Ihave not received it but I have got a message of delivery .

2. Customer care fails to register my complaint

3. Delivery company fails to give proof of delivery

4. No acknowledgement of my complaint has been given this far

5. No calls from customer care in 2 days

6. Customer care fails to send me my complaint number

Can we resolve this..I need my order or money back..

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3483719